Bug 112372 - Get a Stale NFS handle whith the firewall on
Get a Stale NFS handle whith the firewall on
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-18 10:50 EST by Need Real Name
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 20:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-18 10:50:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; WMM; .NET 
CLR 1.1.4322)

Description of problem:
When I used NFS with REDHAT 9. I could ENABLE the firewall with WWW, 
SSH as trusted services and as a trusted device eth0 (i don't have 
more eth devices).
When i upgraded from REDHAT 9 to Fedora Core 1 i did make a NFS 
connection.
>  mount enterprise:/dos-e /mnt/smb
I could do cd to the directory i want to go to.
I could do a ls. I did get the ls information.
when i did a:
> rpm -Uvh *.rpm  (update packages)
I get a:
error open of (filename) failed: Stale NFS file handle.

When i disable the firewall it works fine.

I have a few questions:
1) Why did it work on REDHAT 9 and not on Fedora Core 1 ?
2) How do i configure my firewall that it enables nfs-connections, 
www and ssh and not the rest? 
3) Why don't i have the same kind of problem when i make an smb 
connection. In that case the firewall could be enabled and still smb 
works.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Firewall on Enable (WWW, SSH and eth0 trusted)
2.mount a nfs directory on a mounting point
3.try to install a file with rpm
    

Actual Results:  --> Error Stale-handle.

Expected Results:  Just an installation of a rpm.

Additional info:
Comment 1 Need Real Name 2003-12-28 17:23:10 EST
When i tryed later to update packages with nfs i dit get again a 
stale handle. I tryed the packages gnu_cash and ltpf. I think for 
some little packages it works fine, but for bigger packages i get a 
stale handle. Can anybody say my how this is possible.
When i mount the same directory using smb i don't have any problems.
Comment 2 Brent Fox 2004-01-08 17:15:33 EST
I don't believe that the firewall should have any affect on creating
stale NFS file handles.  
Comment 3 Need Real Name 2004-01-15 04:17:03 EST
I have tree pc's. The enterprise is the hostmachine, where the rpm's 
are. I log in on all tree machine's as root because i have to update.
I do a mount on the first machine, the Britanica.
I mount the enterprise:/dos-e on /mnt/smb on the britanica. Dos-e is 
a fat32 partition (Win98).
After the mount i go to the directory:
cd /mnt/smb
cd download/new/linux/redhat/fedora/errata/packages/to_install
ls
till sofar it always works. Sometimes i can do a rpm -Uvh *.rpm or a 
rpm -Fvh *.rpm and it works but sometimes i get a stale handle.


I always get a stale handle when:
If i try to mount the directory on another machine, and go to the 
install-directory on the mounted dos-e-dir i get a stale handle on 
the first machine.

When i have a stale handle on say the Britanica, i can mount again 
and go again to the install-directory. A do first everything i have 
to do on this machine and then go to the other machine and start with 
mounting the directory.

I thought it must be possible to have more than one PC mounted on the 
same directory at the same time.


Comment 4 Thomas Woerner 2005-01-26 12:57:43 EST
This is not an iptable problem, whichis the user-land tool.
This might be a kernel problem.

Assigning to kernel.
Comment 5 Dave Jones 2005-01-26 17:30:34 EST
do you still see this problem with the current Fedora releases ?
FC1 reached end of life a while ago, so unless its still occuring, this
should be closed.

Note You need to log in before you can comment on or make changes to this bug.